Skip to main content

Authentication

Requests to the endpoints in this document should be authenticated using an access token. The token should be passed using the X-DOMO-Developer-Token header. For information about generating an access token see /s/article/360042934494?language=en_US.

Listing Dataset Versions

This endpoint lists the data versions that are available for a dataset. Each dataversion records includes metadata indicating the following:
  • uploadStatus - success, error, processing
  • numRows - the number of rows in the upload
  • numBytes - the size of the upload in bytes
  • schemaId - the schema associated with the data
  • recordedDate - the time at which the data was made available to the system
  • uploadCompletedDate - the time the upload finished uploading
Method: GET
Endpoint: https://{instance}.domo.com/api/data/v2/datasources/<dataset-id>/dataversions
Example Request
Response

Deleting Dataset Versions

This endpoint removes a set of data versions from Vault for a given dataset. This is a destructive operation and cannot be undone. A list of data versions to delete is supplied in the body of the request. The method returns an empty response with a 200 OK http status if the delete was successful. If you are deleting data versions that are part of the active data in Adrenaline you should include the index=true request parameter in order to remove the data from Adrenaline as well. Method: DELETE
Endpoint: https://{instance}.domo.com/api/data/v2/datasources/<dataset-id>/dataversions?index=<true|false>
Request Body List of data versions.
Example Request